Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface CauchoResponse

All Superinterfaces:
  HttpServletResponse, ServletResponse

public interface CauchoResponse
extends HttpServletResponse

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROCOTOLS, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY_TYPE`

Method Summary
`void` | `addHeader(java.lang.String key, java.lang.String value)` Adds a header.
`void` | `clearBuffer()`
`void` | `close()`
`boolean` | `disableHeaders(boolean disable)`
`void` | `flushBuffer()` Flushes the buffer to the client.
`int` | `getBufferSize()` Returns the size of the output buffer.
`java.lang.String` | `getFilter()`
`java.lang.String` | `getHeader(java.lang.String key)`
`WriteStream` | `getStream()`
`void` | `reset()` Resets the output stream, clearing headers and the output buffer.
`void` | `setBufferSize(int size)` Sets the output buffer size to `size`.
`void` | `setStream(WriteStream os)`

Methods inherited from interface javax.servlet.http.HttpServletResponse
`addCookie, addDateHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from interface javax.servlet.ServletResponse
`getCharacterEncoding, getLocale, getOutputStream, getWriter, isCommitted, setContentLength, setContentType, setLocale`

Method Detail

### getBufferSize

    public int getBufferSize()

  Description copied from interface: `ServletResponse`
  Returns the size of the output buffer.
  Specified by:
    `getBufferSize` in interface `ServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Description copied from interface: `ServletResponse`
  Sets the output buffer size to `size`. The servlet engine may round the size up.
  Specified by:
    `setBufferSize` in interface `ServletResponse`
  Following copied from interface: `javax.servlet.ServletResponse`
  Parameters:
    `size` - the new output buffer size.

### reset

    public void reset()

  Description copied from interface: `ServletResponse`
  Resets the output stream, clearing headers and the output buffer. Calling `reset()` after data has been committed is illegal.
  Specified by:
    `reset` in interface `ServletResponse`
  Following copied from interface: `javax.servlet.ServletResponse`
  Throws:
    `java.lang.IllegalStateException` - if `isCommitted()` is true.

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Description copied from interface: `ServletResponse`
  Flushes the buffer to the client.
  Specified by:
    `flushBuffer` in interface `ServletResponse`

### addHeader

    public void addHeader(java.lang.String key,
                          java.lang.String value)

  Description copied from interface: `HttpServletResponse`
  Adds a header. If another header with the same name exists, both will be sent to the client.
  Specified by:
    `addHeader` in interface `HttpServletResponse`
  Following copied from interface: `javax.servlet.http.HttpServletResponse`
  Parameters:
    `name` - the header name
    `value` - the header value

### getStream

    public WriteStream getStream()
                          throws java.io.IOException

### setStream

    public void setStream(WriteStream os)

### getFilter

    public java.lang.String getFilter()
                               throws java.io.IOException

### getHeader

    public java.lang.String getHeader(java.lang.String key)

### clearBuffer

    public void clearBuffer()

### close

    public void close()
               throws java.io.IOException

### disableHeaders

    public boolean disableHeaders(boolean disable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD